# Myshell

Myshell is a LINUX shell made to gain implementation level clarity of OS.

## Compilation

```bash
gcc -o myshell.c myshell
```

## Usage

```bash
make run # executes myshell with inputfile
./myshell <inputfile> # batch mode
./myshell # interactive mode
```
## Features
* Background Process (&), Serial execution (&&), Parallel Execution (&&&)
* IO redirection (>>,>,<) with &,&&,&&&
* cd with corresponding changes in environment variables (PWD and OLDPWD)
* dir, timed command execution

## Contributing
Pull requests are welcome. For major changes, please open an issue first to discuss what you would like to add.
